/*******************************************************************************
 * Copyright (c) 2016 ALL4TEC & CEA LIST.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *   
 * Contributors:
 *      ALL4TEC & CEA LIST - initial API and implementation
 *******************************************************************************/
package org.polarsys.esf.esflocalanalysis;

import org.polarsys.esf.esflocalanalysis.impl.MESFLocalAnalysisFactory;

public interface IMESFLocalAnalysisFactory
    extends IESFLocalAnalysisFactory {

    /**
     * Specialise the eINSTANCE initialisation with the new interface type
     * (overridden in the override_factory extension).
     */
    IMESFLocalAnalysisFactory INSTANCE = MESFLocalAnalysisFactory.init();

    @Override
    IMSLocalAnalysis createSLocalAnalysis();
}
