/*******************************************************************************
 * Copyright (c) 2016 ALL4TEC & CEA LIST.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *   
 * Contributors:
 *      ALL4TEC & CEA LIST - initial API and implementation
 *******************************************************************************/
package org.polarsys.esf.localanalysis.profile.set;


/**
 * ESFLocalAnalysis profile set.
 *
 * @author  $Author: ymunoz $
 * @version $Revision: 168 $
 */
public class ESFLocalAnalysisSet {
    /** ESFLocalAnalysis profile path. */
    public static final String PROFILE_PATH =
        "pathmap://ESFLOCALANALYSIS_PROFILE/esflocalanalysis.profile.uml"; //$NON-NLS-1$

    /** ESFLocalAnalysis profile URI. */
    public static final String PROFILE_URI =
        "http://www.polarsys.org/esf/0.7.0/ESFLocalAnalysis"; //$NON-NLS-1$

    /**
     * Default constructor, private as it's a utility class.
     */
    private ESFLocalAnalysisSet() {
     // Nothing to do
    }
}
